KDK_BOARD_GET_VENDOR(3)

NAME
kdk_board_get_vendor - 获取主板厂商

SYNOPSIS
#include <libkyboard.h>

extern const char* kdk_board_get_vendor();

Link with -lkyhw.

Detailed Description
The main function of the interface is to obtain mainboard manufacturer

RETURN VALUE
On success, returns the mainboard manufacturer of type char*; The returned string needs to be released by free

On error, return NULL.

EXAMPLES
    #include "stdio.h"
    #include "libkyboard.h"
    int main()
    {

        char *name = kdk_board_get_name();
        char *vendor = kdk_board_get_vendor();
        char *date = kdk_board_get_date();
        char *serial = kdk_board_get_serial();
        printf("name : %s", name);
        printf("vendor : %s", vendor);
        printf("date : %s", date);
        printf("serial : %s", serial);
        free(name);
        free(vendor);
        free(date);
        free(serial);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_board_get_serial(), kdk_board_get_date(), kdk_board_get_name() and kdk_board_free().

SEE ALSO
kdk_board_get_serial(3), kdk_board_get_date(3), kdk_board_get_name(3) and kdk_board_free(3).